geronimo-xbean-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Dillon (JIRA)" <j...@apache.org>
Subject [jira] Updated: (XBEAN-85) Make xbean require Java 1.5, remove backport-util-concurrent
Date Wed, 21 Mar 2007 22:48:34 GMT

     [ https://issues.apache.org/jira/browse/XBEAN-85?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jason Dillon updated XBEAN-85:
------------------------------

    Attachment: XBEAN-85.diff

Attached patch:

Makes the build use Java 1.5 by default.

Removes usage of backport-util-concurrent.  No code changes required (short of import updates).

Tidy up some java 1.5 related bits in the poms.

Comments the xbean-log4j module which is missing (perhaps this should just be removed).

Makes xbean-finder skip tests for the moment, cause it fails with OOME.

Adds legal muck to xbean-tiger.

Adds <version> property for modules to reference, and uses the projects version of the
maven-xbean-plugin (the one we are building).

 * * *

There are some other build related changes which should eventually be made to clean things
up, but I tried to leave them alone for this patch/review.

> Make xbean require Java 1.5, remove backport-util-concurrent
> ------------------------------------------------------------
>
>                 Key: XBEAN-85
>                 URL: https://issues.apache.org/jira/browse/XBEAN-85
>             Project: XBean
>          Issue Type: Improvement
>    Affects Versions: 3.0
>            Reporter: Jason Dillon
>         Assigned To: Jason Dillon
>         Attachments: XBEAN-85.diff
>
>


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message